PMAP(1)

BEZEICHNUNG
pmap - die Speicherzuordnung eines Prozesses melden

ÜBERSICHT
pmap [Optionen] Prozesskennung […]

BESCHREIBUNG
Der Befehl pmap meldet die Speicherzuordnung eines oder mehrerer Prozesse.

OPTIONEN

-x, --extended
    zeigt im erweiterten Format an.

-d, --device
    zeigt im Geräteformat an.

-q, --quiet
    zeigt nicht alle Kopf- oder Fußzeilen an.

-A, --range Untergrenze,Obergrenze
    begrenzt die Ergebnisse auf den angegebenen Adressbereich zwischen Untergrenze und Obergrenze. Beachten Sie, dass die Argumente für Unter- und Obergrenze eine einzige, durch ein Komma getrennte Zeichenkette sind.

-X  zeigt noch mehr Details als die Option -x an. WARNUNG: Das Format ändert sich entsprechend /proc/Prozesskennung/smaps.

-XX zeigt alles, was der Kernel bereitstellt.

-p, --show-path
    zeigt den vollständigen Pfad zu den Dateien in der Zuordnungs-Spalte an.

-c, --read-rc
    liest die Standard-Konfigurationsdatei ein.

-C, --read-rc-from Datei
    liest die Konfiguration aus der angegebenen Datei.

-n, --create-rc
    erstellt eine neue Standardkonfiguration.

-N, --create-rc-to Datei
    legt eine neue Konfiguration in der angegebenen Datei an.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

    0   Erfolg.
    1   Fehlschlag.
    42  Nicht alle Prozesse, nach denen gefragt wurde, konnten gefunden werden.

SIEHE AUCH
ps(1), pgrep(1)

STANDARDS
Es sind keine Standards anwendbar, aber pmap ähnelt stark einem SunOS-Befehl.

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org